wxRuby Documentation Home

# Wx::IconizeEvent

An event being sent when the frame is iconized (minimized) or restored.

Currently only MSW and GTK generate such events.

## Derived from

Event

Object

## Event handlers

To handle iconize events, use this handler method to direct the event
object to a block that takes a IconizeEvent argument:

evt_iconize() { | event | … } | Process a EVT_ICONIZE event.

## See also

Event handling overview, TopLevelWindow#iconize, TopLevelWindow#is_iconized

The opposite of an IconizeEvent is a MaximizeEvent.

## Methods

- IconizeEvent.new
- IconizeEvent#iconized

### IconizeEvent.new

IconizeEvent.new(%(arg-type)Integer% id = 0, Boolean iconized = true)

Constructor.

### IconizeEvent#iconized

Boolean iconized()

Returns `true` if the frame has been iconized, `false` if it has been
restored.

[This page automatically generated from the Textile source at 2023-06-09 00:45:27 +0000]